Bug 217764 - cad/openvsp: update to 3.11.0
Summary: cad/openvsp: update to 3.11.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Wen Heping
URL: http://openvsp.org/blogs/announcement...
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-13 18:18 UTC by Fernando Apesteguía
Modified: 2017-03-30 12:12 UTC (History)
1 user (show)

See Also:


Attachments
patch to the ports tree (2.40 KB, text/plain)
2017-03-13 18:18 UTC, Fernando Apesteguía
fernape: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2017-03-13 18:18:40 UTC
Created attachment 180785 [details]
patch to the ports tree

The attached patch updates cad/openvsp to latest release (3.11.0). From the project's site:

Features

    Blended Wings
    Conformal Components
    XPatch export
    Improved DXF 2D export (outlines)
    SVG 2D export
    SubSurface areas in CompGeom
    CompGeom faster
    IGES/STEP surface splitting along U/W-Const SubSurface lines
    Mesh STL files can write surfaces and/or slices

Bug Fixes

    WaveDrag set choice glitch – thanks Alex Ziebart & Mike Raber
    Set editor conflict
    CFDMesh with Shown set
    Update CFDMesh when meshing fails
    Prop curve indexing problem when enforcing order (possible crash)
    WaveDrag reference area flag Parm in wrong group
    Set VSPAERO analysis method from API
    CFDMesh threading console update
    Highlight Selected Set in Set Editor


A new patch needs to be added since 3.11.0 was released with a bug that was fixed later[1].

Q/A:
 - portlint -AC: OK
 - poudriere builds for {10.3,11.0}{i386,amd64}

*I would like to step up if there are any committers willing to mentor me*

[1] https://github.com/OpenVSP/OpenVSP/commit/697b3fa676bfb89ba929f8ab06f13b9d91ea9b31
Comment 1 Fernando Apesteguía freebsd_committer 2017-03-22 17:37:38 UTC
Hi there,

Something wrong with the patch? Have we been hit by https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210673?

Cheers.
Comment 2 Fernando Apesteguía freebsd_committer 2017-03-29 16:21:46 UTC
Any news?
Comment 3 commit-hook freebsd_committer 2017-03-30 12:09:26 UTC
A commit references this bug:

Author: wen
Date: Thu Mar 30 12:09:09 UTC 2017
New revision: 437283
URL: https://svnweb.freebsd.org/changeset/ports/437283

Log:
  - Update to 3.11.0

  PR:		217764
  Submitted by:	fernando.apesteguia@gmail.com(maintainer)

Changes:
  head/cad/openvsp/Makefile
  head/cad/openvsp/distinfo
  head/cad/openvsp/files/patch-src_util_SVGUtil.h
  head/cad/openvsp/pkg-plist